Mono Colombia

Gets a brand

Gets a payin brand by its ID. Scoped to the requesting client.

GET
/v1/core/payins/brands/{id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

idstring

Brand ID

Match^[A-Za-z]{2,7}_[\w-]{22}$
Example"cpitplb_5tgliBmzjZ6mpQPRbQjfKj"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sandbox.cuentamono.com/v1/core/payins/brands/cpitplb_5tgliBmzjZ6mpQPRbQjfKj"
{
  "button_text": "Pagar",
  "color": "#3C47D8",
  "default": false,
  "id": "cpitplb_5tgliBmzjZ6mpQPRbQjfKj",
  "inserted_at": "2022-01-01T01:00:00Z",
  "logo": "https://assets.mono.la/payin-brand-logos/wumi.png",
  "name": "Tienda Wumi",
  "support_email": "ayuda@wumi.co",
  "templates_count": 1,
  "updated_at": "2022-01-01T01:00:00Z",
  "voucher_message": "¡Gracias por tu pago!"
}
{
  "code": "401 Unauthorized",
  "errors": [
    {
      "error_code": "missing_authorization_header",
      "message": "`Authorization` header is missing.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Authorization header is missing or invalid."
}
{
  "code": "403 Forbidden",
  "errors": [
    {
      "error_code": "not_authorized",
      "message": "Not authorized to have access to this resource.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Not authorized to have access to this resource"
}
{
  "code": "404 Not Found",
  "errors": [
    {
      "error_code": "payin_brand_not_found",
      "message": "The payin brand doesn't exist.",
      "path": null,
      "url": null
    }
  ],
  "id": "log_7MkWaFqvfosB8fzHhb1Eql",
  "message": "Resource not defined"
}